Package org.silverpeas.components.whitepages

## Class WhitePagesStatistics

- java.lang.Object
- - org.silverpeas.components.whitepages.WhitePagesStatistics

- All Implemented Interfaces:
    `org.silverpeas.core.silverstatistics.volume.service.ComponentStatisticsProvider`

      @Provider
      @Named("whitePagesStatistics")
      public class WhitePagesStatistics
      extends Object
      implements org.silverpeas.core.silverstatistics.volume.service.ComponentStatisticsProvider

- - ### Field Summary

    - ### Fields inherited from interface org.silverpeas.core.silverstatistics.volume.service.ComponentStatisticsProvider

      `QUALIFIER_SUFFIX`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `WhitePagesStatistics()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Collection<org.silverpeas.core.silverstatistics.volume.model.UserIdCountVolumeCouple>` | `getVolume​(String spaceId, String componentId)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.silverpeas.core.silverstatistics.volume.service.ComponentStatisticsProvider

      `countSpecificFiles, memorySizeOfSpecificFiles`

- - ### Constructor Detail

    - #### WhitePagesStatistics

          public WhitePagesStatistics()

  - ### Method Detail

    - #### getVolume

          public Collection<org.silverpeas.core.silverstatistics.volume.model.UserIdCountVolumeCouple> getVolume​(String spaceId,
                                                                                                                 String componentId)
                                                                                                          throws org.silverpeas.kernel.SilverpeasException

      Specified by:
        `getVolume` in interface `org.silverpeas.core.silverstatistics.volume.service.ComponentStatisticsProvider`
      Throws:
        `org.silverpeas.kernel.SilverpeasException`